package de.ugoe.cs.autoquest.usability.tasktree.filter;

import de.ugoe.cs.autoquest.tasktrees.treeifc.ITaskTree;

public interface TaskTreeFilterStrategy {

    public FilterStatistic filter(ITaskTree taskTree, EventTargetFilter eventTarget);

    public FilterStatistic filter(ITaskTree taskTree, EventTypeFilter eventType);
  
}
